org.freedesktop.cairo

## Class Extend

- Object
- - org.freedesktop.bindings.Constant
  - - org.freedesktop.cairo.Extend

-     public class Extend
      extends org.freedesktop.bindings.Constant

  Constants specifying what strategy is employed when drawing Patterns larger than the area intrinsically specified when constructing the Pattern.
  Since:
    4.0.17
  Author:
    Andrew Cowie

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Extend` | `NONE` Pixels outside the Pattern area are transparent.
    `static Extend` | `PAD` Extend the Pattern by continuing (copying) the last pixel at the edges.
    `static Extend` | `REFLECT` Tile the Pattern by reflecting it at its edges.
    `static Extend` | `REPEAT` Tile the Pattern by repeating it continuously.

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NONE

          public static final Extend NONE

      Pixels outside the Pattern area are transparent.

      This is the default for `SurfacePattern`s.

      Since:
        4.0.17

    - #### PAD

          public static final Extend PAD

      Extend the Pattern by continuing (copying) the last pixel at the edges.

      This is the default for the gradient based `LinearPattern` and `RadialPattern`.

      Since:
        4.0.17

    - #### REFLECT

          public static final Extend REFLECT

      Tile the Pattern by reflecting it at its edges.
      Since:
        4.0.17

    - #### REPEAT

          public static final Extend REPEAT

      Tile the Pattern by repeating it continuously.
      Since:
        4.0.17